﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Drawing;

namespace TweakAPI.Extras
{
    /// <summary>
    /// Provides a few methods which affect to Desktop.
    /// </summary>
    public static class Desktop
    {
        /// <summary>
        /// Clears the recycle bin.
        /// </summary>
        /// <param name="handle"></param>
        public static void ClearRecycleBin(IntPtr handle)
        {
            Win32Api.SHEmptyRecycleBin(handle, null, 0);
            Win32Api.SHUpdateRecycleBinIcon();
        }

        /// <summary>
        /// Refreshes the Desktop.
        /// </summary>
        public static void Refresh()
        {
            Win32Api.SHChangeNotify(Win32Api.HChangeNotifyEventID.SHCNE_ASSOCCHANGED, Win32Api.HChangeNotifyFlags.SHCNF_IDLIST, IntPtr.Zero, IntPtr.Zero);
        }
    }
}
