﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Drawing;
using System.Drawing.Text;

namespace TweakAPI.Info
{
    /// <summary>
    /// Provides information about the installed fonts.
    /// </summary>
    public static class Fonts
    {
        /// <summary>
        /// Returns a list containing all installed fonts.
        /// </summary>
        public static List<string> EnumerateFonts()
        {
            List<string> nList = new List<string>();
            InstalledFontCollection myFonts = new InstalledFontCollection();
            FontFamily[] font = myFonts.Families;
            foreach (FontFamily fontfam in font)
            {
                nList.Add(fontfam.Name);
            }
            return nList;
        }
    }
}
